All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
reduce.hpp File Reference

Generic interface for the computation of inner products. See viennacl/linalg/vector_operations.hpp for implementations. More...

`#include "viennacl/forwards.h"`
`#include "viennacl/tools/tools.hpp"`
`#include "viennacl/meta/enable_if.hpp"`
`#include "viennacl/meta/tag_of.hpp"`
`#include "viennacl/meta/result_of.hpp"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::linalg
| Provides all linear algebra operations which are not covered by operator overloads.

## Functions

template<typename OP , typename NumericT >
viennacl::scalar_expression < const vector_base< NumericT > , const vector_base< NumericT > , viennacl::op_reduce_vector < OP > > | viennacl::linalg::reduce (vector_base< NumericT > const &vector)
template<typename ROP , typename LHS , typename RHS , typename OP >
viennacl::scalar_expression < const viennacl::vector_expression < LHS, RHS, OP >, const viennacl::vector_expression < LHS, RHS, OP > , viennacl::op_reduce_vector < ROP > > | viennacl::linalg::reduce (viennacl::vector_expression< LHS, RHS, OP > const &vector)
template<typename ROP , typename NumericT >
viennacl::vector_expression < const matrix_base< NumericT > , const matrix_base< NumericT > , viennacl::op_reduce_rows < ROP > > | viennacl::linalg::reduce_rows (matrix_base< NumericT > const &mat)
template<typename ROP , typename NumericT >
viennacl::vector_expression < const matrix_base< NumericT > , const matrix_base< NumericT > , viennacl::op_reduce_columns < ROP > > | viennacl::linalg::reduce_columns (matrix_base< NumericT > const &mat)

## Detailed Description

Generic interface for the computation of inner products. See viennacl/linalg/vector_operations.hpp for implementations.

Definition in file reduce.hpp.